Bug 617578 (CVE-2010-1864, MOPS-2010-006) - CVE-2010-1864 php: addcslashes interruption vulnerability (MOPS-2010-006)
Summary: CVE-2010-1864 php: addcslashes interruption vulnerability (MOPS-2010-006)
Keywords:
Status: CLOSED DUPLICATE of bug 169857
Alias: CVE-2010-1864, MOPS-2010-006
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=none,source=internet,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 13:21 UTC by Tomas Hoger
Modified: 2019-06-08 13:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 13:32:18 UTC


Attachments (Terms of Use)
Reproducer from MOPS-2010-006 (1.48 KB, text/plain)
2010-07-23 13:22 UTC, Tomas Hoger
no flags Details

Description Tomas Hoger 2010-07-23 13:21:13 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1864 to the following vulnerability:

The addcslashes function in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2 allows context-dependent attackers to obtain sensitive information (memory contents) by causing a userspace interruption of an internal function, related to the call time pass by reference feature.

Reference:
http://php-security.org/2010/05/03/mops-2010-006-php-addcslashes-interruption-information-leak-vulnerability/index.html

Comment 1 Tomas Hoger 2010-07-23 13:22:30 UTC
Created attachment 433953 [details]
Reproducer from MOPS-2010-006

Comment 2 Tomas Hoger 2010-07-23 13:26:02 UTC
Fixed upstream in Zend / zend_parse_parameters via:
  http://svn.php.net/viewvc?view=revision&revision=298945

Fix included in upstream version 5.3.3:
  http://www.php.net/releases/5_3_3.php

Comment 3 Tomas Hoger 2010-07-23 13:32:18 UTC
Interruption vulnerabilities allow untrusted script author to bypass restrictions such as safe_mode or open_basedir.  Due to the limitations of the implementation of these mechanisms, they can not be relied on as security features.  Therefore flaws bypass of there restrictions are not considered security sensitive.  For additional details, refer to bug #169857, comment #1.

*** This bug has been marked as a duplicate of bug 169857 ***

Comment 4 Tomas Hoger 2010-07-23 13:35:57 UTC
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir restriction bypass to be security sensitive.  For more details see https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and http://www.php.net/security-note.php

Comment 5 Tomas Hoger 2010-07-26 13:54:53 UTC
Additional note on MOPS reproducers using __toString() method to interrupt internal PHP function is available in bug #617211, comment #7.


Note You need to log in before you can comment on or make changes to this bug.